Уязвимость Apache Tomcat (CVE-2021-33037)

10 сентября 2021 09:46

1. Описание уязвимости:

CVE-2021-33037 Уязвимость контейнера сервлетов Apache Tomcat, связана с тем, что приложение неправильно проверяет HTTP-запросы, связанные с обработкой заголовков. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, отправить на сервер специально созданный HTTP-запрос и переправить произвольные HTTP-заголовки.
Идентификатор Банка данных угроз безопасности информации ФСТЭК России:

2. Возможные меры по устранению уязвимости

— Отказаться от использования контейнера сервлетов Apache Tomcat
или
— Установить обновления безопасности для пакета:
tomcat
Установка обновлений возможна следующими способами:
а) если компьютер с установленной версией ОС имеет доступ к официальному репозиторию производителя, необходимо запустить от имени администратора обновление командой:
# yum update
После вывода списка обновляемых пакетов согласиться на применение обновлений нажав клавишу Y на клавиатуре. Дождаться завершения установки обновлений и убедиться в отсутствии ошибок при их установке.
б) если компьютер с установленной версией ОС не имеет доступа к официальному репозиторию производителя, необходимо выполнить следующие действия:
Запросить обновленный пакет с зависимостями в Управлении информационных технологий ФССП России.
Проверить целостность и подлинность пакета по инструкции
Установить скачанный пакет(ы) командой:
# yum localinstall *.rpm
После вывода списка обновляемых пакетов согласиться на применение обновлений нажав клавишу Y на клавиатуре. Дождаться завершения установки обновлений и убедиться в отсутствии ошибок при их установке.

Время создания документа: 10 сентября 2021 09:47

Версия для печати